Index: trunk/AGRIF/LIB/WriteInFile.c
===================================================================
--- trunk/AGRIF/LIB/WriteInFile.c	(revision 396)
+++ trunk/AGRIF/LIB/WriteInFile.c	(revision 530)
@@ -3,15 +3,33 @@
 /*     CONV (converter) for Agrif (Adaptive Grid Refinement In Fortran)       */
 /*                                                                            */
-/*     Copyright (C) 2005 Laurent Debreu (Laurent.Debreu@imag.fr)             */
+/* Copyright or © or Copr. Laurent Debreu (Laurent.Debreu@imag.fr)            */
 /*                        Cyril Mazauric (Cyril.Mazauric@imag.fr)             */
+/* This software is governed by the CeCILL-C license under French law and     */
+/* abiding by the rules of distribution of free software.  You can  use,      */
+/* modify and/ or redistribute the software under the terms of the CeCILL-C   */
+/* license as circulated by CEA, CNRS and INRIA at the following URL          */
+/* "http://www.cecill.info".                                                  */
 /*                                                                            */
-/*     This program is free software; you can redistribute it and/or modify   */
-/*    it                                                                      */
+/* As a counterpart to the access to the source code and  rights to copy,     */
+/* modify and redistribute granted by the license, users are provided only    */
+/* with a limited warranty  and the software's author,  the holder of the     */
+/* economic rights,  and the successive licensors  have only  limited         */
+/* liability.                                                                 */
 /*                                                                            */
-/*    This program is distributed in the hope that it will be useful,         */
-/*     but WITHOUT ANY WARRANTY; without even the implied warranty of         */
-/*     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          */
-/*    GNU General Public License for more details.                            */
+/* In this respect, the user's attention is drawn to the risks associated     */
+/* with loading,  using,  modifying and/or developing or reproducing the      */
+/* software by the user in light of its specific status of free software,     */
+/* that may mean  that it is complicated to manipulate,  and  that  also      */
+/* therefore means  that it is reserved for developers  and  experienced      */
+/* professionals having in-depth computer knowledge. Users are therefore      */
+/* encouraged to load and test the software's suitability as regards their    */
+/* requirements in conditions enabling the security of their systems and/or   */
+/* data to be ensured and,  more generally, to use and operate it in the      */
+/* same conditions as regards security.                                       */
 /*                                                                            */
+/* The fact that you are presently reading this means that you have had       */
+/* knowledge of the CeCILL-C license and that you accept its terms.           */
+/******************************************************************************/
+/* version 1.0                                                                */
 /******************************************************************************/
 #include <stdio.h>
@@ -24,8 +42,4 @@
 /******************************************************************************/
 /* This subroutine is used to write the string s into the fileout             */
-/******************************************************************************/
-/*                                                                            */
-/*                                                                            */
-/*                                                                            */
 /******************************************************************************/
 void tofich_reste (FILE * filout, char *s,int returnlineornot)	
@@ -54,4 +68,5 @@
       if ( !tmp || strlen(tmp) == 60  ) tmp = strrchr(temp, '*');
       if ( !tmp || strlen(tmp) == 60  ) tmp = strrchr(temp, '%');
+      if ( !tmp || strlen(tmp) == 60  ) tmp = strrchr(temp, ',');
       if ( !tmp || strlen(tmp) == 60  ) tmp = strrchr(temp, ':');
       if ( !tmp || strlen(tmp) == 60  ) tmp = strrchr(temp, ')');
@@ -79,8 +94,4 @@
 /* This subroutine is used to write the string s into the fileout             */
 /******************************************************************************/
-/*                                                                            */
-/*                                                                            */
-/*                                                                            */
-/******************************************************************************/
 void tofich (FILE * filout, char *s, int returnlineornot)	
 {
@@ -107,4 +118,5 @@
       if ( !tmp  || strlen(tmp) == strlen(temp)  ) tmp = strrchr(temp, '*');
       if ( !tmp  || strlen(tmp) == strlen(temp)  ) tmp = strrchr(temp, '%');
+      if ( !tmp  || strlen(tmp) == strlen(temp)  ) tmp = strrchr(temp, ',');
       if ( !tmp  || strlen(tmp) == strlen(temp)  ) tmp = strrchr(temp, ':');
       if ( !tmp  || strlen(tmp) == strlen(temp)  ) tmp = strrchr(temp, ')');
@@ -132,8 +144,4 @@
 /* This subroutine is used to write size blank into the fileout               */
 /******************************************************************************/
-/*                                                                            */
-/*                                                                            */
-/*                                                                            */
-/******************************************************************************/
 void tofich_blanc (FILE * filout, int size)
 {
@@ -158,31 +166,29 @@
 
 /******************************************************************************/
-/*                         RemoveWord                                         */
+/*                           RemoveWordSET_0                                  */
 /******************************************************************************/
 /* This subroutine is used to remove a sentence in the file filout            */
 /******************************************************************************/
-/*                                                                            */
-/*                                                                            */
-/*                                                                            */
-/******************************************************************************/
-void RemoveWordSET(FILE * filout, long int position, long int sizetoremove)
+void RemoveWordSET_0(FILE * filout, long int position, long int sizetoremove)
 {
-   fseek(filout,position,SEEK_SET);
-   tofich_blanc(filout,sizetoremove);
+   if ( firstpass == 0 )
+   {
+      fseek(filout,position,SEEK_SET);
+      tofich_blanc(filout,sizetoremove);
+   }
 }
 
 
 /******************************************************************************/
-/*                         RemoveWord                                         */
+/*                         RemoveWordCUR_0                                    */
 /******************************************************************************/
 /* This subroutine is used to remove a sentence in the file filout            */
 /******************************************************************************/
-/*                                                                            */
-/*                                                                            */
-/*                                                                            */
-/******************************************************************************/
-void RemoveWordCUR(FILE * filout, long int position, long int sizetoremove)
+void RemoveWordCUR_0(FILE * filout, long int position, long int sizetoremove)
 {
-   fseek(filout,position,SEEK_CUR);
-   tofich_blanc(filout,sizetoremove);
+   if ( firstpass == 0 )
+   {
+      fseek(filout,position,SEEK_CUR);
+      tofich_blanc(filout,sizetoremove);
+   }
 }
